
Obd Server - Tareas #16

Validate last member of group before remove him

01/11/2018 03:41 PM - Jesús Freire

Status: Cerrada Start date: 01/11/2018

Priority: Normal Due date:  

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 0:00 hour

Target version: 0.0.6 Spent time: 3:00 hours

Puntos de historia: 1   

Description

When removing a member from a organizational unit, validate if he's the last member of the unit.

Create LastMemberOfGroupException and throw it in removeMember method if the received user is the last member of the group.

History

#1 - 01/13/2018 10:33 AM - Jesús Freire

- Target version set to 0.0.6

- Translation missing: en.field_sprint set to 5

- Puntos de historia changed from 0 to 1

#2 - 01/15/2018 05:11 PM - Jesús Freire

- Description updated

- Status changed from Nueva to En curso

#3 - 01/16/2018 07:18 AM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 10 to 90

Applied in changeset obd-server|r152.

#4 - 01/16/2018 07:39 AM - Jesús Freire

- Description updated

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100
